1 Reply Latest reply: Jul 23, 2013 3:21 AM by Klaus1
Skelligislands Level 1 Level 1 (0 points)

Hi everybody,

I bought a new ipod 16 Ga which needs itunes 11 (or at least itunes 10.7).

Unfortunately, my iMac OS X 10.4.11 can't open it (it takes OS X 10.5, bad karma).

What do you suggest ? Is there a trick or do I need to upgrade my OS X 10.4.11, which would probably be a good thing ? And how can I upgrade it, and where to?

Thanks for your help.

Bertrand


iMac, Mac OS X (10.4.11)